Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.director.simple
Class SimpleScoreDirector

    java.lang.Object
      org.drools.planner.core.score.director.AbstractScoreDirector<SimpleScoreDirectorFactory>
          org.drools.planner.core.score.director.simple.SimpleScoreDirector

All Implemented Interfaces:
  ScoreDirector

    public class SimpleScoreDirector

extends AbstractScoreDirector<SimpleScoreDirectorFactory>

Simple java implementation of `ScoreDirector`, which recalculates the `Score` of the `Solution` workingSolution every time. This is non-incremental calculation, which is slow.

See Also:
  `ScoreDirector`

Field Summary

Fields inherited from class org.drools.planner.core.score.director.AbstractScoreDirector
`calculateCount, chainedVariableToTrailingEntitiesMap, hasChainedVariables, logger, scoreDirectorFactory, workingSolution`

Constructor Summary
`SimpleScoreDirector(SimpleScoreDirectorFactory scoreDirectorFactory, SimpleScoreCalculator simpleScoreCalculator)`

Method Summary
`Score` | `calculateScore()` Calculates the `Score` and updates the `workingSolution` accordingly.

Methods inherited from class org.drools.planner.core.score.director.AbstractScoreDirector
`afterAllVariablesChanged, afterEntityAdded, afterEntityRemoved, afterProblemFactAdded, afterProblemFactChanged, afterProblemFactRemoved, afterVariableChanged, assertExpectedWorkingScore, assertWorkingScoreFromScratch, beforeAllVariablesChanged, beforeEntityAdded, beforeEntityRemoved, beforeProblemFactAdded, beforeProblemFactChanged, beforeProblemFactRemoved, beforeVariableChanged, buildScoreCorruptionAnalysis, clone, cloneWorkingSolution, countWorkingSolutionUninitializedVariables, dispose, getCalculateCount, getScoreDefinition, getScoreDirectorFactory, getSolutionDescriptor, getTrailingEntity, getWorkingPlanningEntityList, getWorkingSolution, isWorkingSolutionInitialized, setCalculatedScore, setWorkingSolution, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleScoreDirector

    public SimpleScoreDirector(SimpleScoreDirectorFactory scoreDirectorFactory,
                               SimpleScoreCalculator simpleScoreCalculator)

Method Detail

### calculateScore

    public Score calculateScore()

  Description copied from interface: `ScoreDirector`
  Calculates the `Score` and updates the `workingSolution` accordingly.

  Returns:
    never null, the `Score` of the `workingSolution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.